Subject: Re: bug#16292: 24.3.50; info docs now contain single straight quotes instead of `'

From: Paul Eggert <[email-masked]>
Date: Fri, 03 Jan 2014 12:48:50 -0800

> We didn't hear from Stefan yet.  This isn't a democracy.

I expect Stefan is tired of the whole topic.  I know I am.

Stefan's initial comment was "I'd much rather change
Texinfo to default to utf-8" -- a sentiment I agree with,
though that'll require changes to Texinfo.  This
suggests a preference for UTF-8 encoded .texi files,
though not necessarily for UTF-8 encoded .info files.

Glenn and I have both expressed a preference for letting
makeinfo do its thing rather than try to second-guess it.
The only way that can be done with existing tools and
UTF-8 .texi files (without introducing some errors in the
output) is to specify @documentencoding UTF-8.

>> Date: Fri, 03 Jan 2014 09:26:29 -0800
>> From: Paul Eggert <[email-masked]>

>> Why should "ß" be converted to mojibake (destroying the point
>> of a code example) while "•" is converted to "*"
>> (a mere formatting nicety)?
>
> Because the former are rare in an otherwise English manual, and are
> mostly in people's names, not in the stuff the manual tries to
> describe.

But they do exist outside of people's names, and in those cases
turning them to mojibake can make the content undecipherable.
Conversely, some of the symbols (such as "•") are relatively rare, and
transliterating them to mojibake typically doesn't hurt the content; after
all, the main role of "•" is to be a blotch at the start of a bullet
point, and pretty much any consistent blotch will do.

I still think it's Really Weird to transliterate some characters
to unibyte but not others, if the goal is to support unibyte
environments.